Skip to main content
GET
/
v1
/
deployments
/
{deploymentId}
/
agents
Get agents
curl --request GET \
  --url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/agents \
  --header 'Authorization: <api-key>'
[
  {
    "createdAt": "2023-12-25",
    "id": 123,
    "updatedAt": "2023-12-25",
    "accessibleViews": [
      "<string>"
    ],
    "agentConfigName": "<string>",
    "agentLlm": {
      "id": 123,
      "config": {},
      "createdAt": "2023-12-25",
      "llmProvider": "<string>",
      "llmType": "<string>",
      "localEncryptedSecrets": [
        {
          "authTagBase64": "<string>",
          "ciphertext": "<string>",
          "id": 123,
          "ivBase64": "<string>"
        }
      ],
      "name": "<string>",
      "secrets": {},
      "updatedAt": "2023-12-25",
      "userId": 123
    },
    "agentLlmId": 123,
    "agentSpace": {
      "id": 123,
      "config": {
        "name": "<string>",
        "spaceConfigName": "<string>"
      },
      "createdAt": "2023-12-25",
      "name": "<string>",
      "spaceConfigName": "<string>",
      "updatedAt": "2023-12-25",
      "userId": 123
    },
    "agentSpaceId": 123,
    "config": {},
    "dedicatedAiEngineerRegion": "<string>",
    "deploymentId": 123,
    "embeddingLlm": {
      "id": 123,
      "config": {},
      "createdAt": "2023-12-25",
      "llmProvider": "<string>",
      "llmType": "<string>",
      "localEncryptedSecrets": [
        {
          "authTagBase64": "<string>",
          "ciphertext": "<string>",
          "id": 123,
          "ivBase64": "<string>"
        }
      ],
      "name": "<string>",
      "secrets": {},
      "updatedAt": "2023-12-25",
      "userId": 123
    },
    "embeddingUrl": "<string>",
    "integrations": {
      "jira": {
        "connected": true,
        "jiraIssueType": {
          "id": "<string>",
          "name": "<string>",
          "description": "<string>",
          "iconUrl": "<string>"
        },
        "jiraProject": {
          "id": "<string>",
          "key": "<string>",
          "name": "<string>",
          "site": {
            "host": "<string>",
            "id": "<string>"
          }
        }
      }
    },
    "name": "<string>",
    "userId": 123
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Send Authorization: Api-Key <YOUR_API_KEY>.

Path Parameters

deploymentId
number
required

Query Parameters

allowEmbedding
boolean | null

Response

200 - application/json
createdAt
required
id
number
required
updatedAt
required
accessibleViews
string[] | null
agentConfigName
string | null
agentLlm
object
agentLlmId
number | null
agentSpace
object
agentSpaceId
number | null
config
object
dedicatedAiEngineerRegion
string | null
deploymentId
number | null
embeddingLlm
object
embeddingUrl
string | null
integrations
object
name
string | null
userId
number | null